pfodParser 3.61.0 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
pfodRadioMsg Class Reference

pfodRadioMsg for Arduino Holds a radio msg More...

`#include <pfodRadioMsg.h>`

## Public Member Functions
| pfodRadioMsg ()
void | init (size_t _maxMsgLen)
size_t | saveMsg (uint8_t *_buf, uint8_t _len, uint8_t _addressedTo, uint8_t _receievedFrom, uint8_t _msgSeqNo, uint8_t _ackedMsgSeqNo)
size_t | saveMsg (Stream *_txBufPtr, uint8_t _addressedTo, uint8_t _receievedFrom, uint8_t _msgSeqNo, uint8_t _ackedMsgSeqNo)
uint8_t | getLen ()
uint8_t * | getBuf ()
uint8_t | getAddressedTo ()
uint8_t | getReceivedFrom ()
uint8_t | getMsgSeqNo ()
uint8_t | getAckedMsgSeqNo ()
void | setAckedMsgSeqNo (uint8_t _ackedMsgSeqNo)
size_t | getMaxMsgBufferSize ()
bool | isPureAck ()
bool | isAckFor (pfodRadioMsg *lastRadioMsg)
bool | isResendRequest (pfodRadioMsg *lastRadioMsg)
bool | isNewMsg (uint8_t _thisAddress, uint8_t _targetAddress, uint8_t _expectedMsgSeqNo, bool isServer)
bool | isNewConnectionRequest (uint8_t ourAddress)

## Protected Member Functions
bool | isPureAckFor (uint8_t msgSeqNoWaitingForAck)

## Protected Attributes
size_t | maxMsgLen
size_t | msgLen
uint8_t | msgBuf [BUFFER_SIZE]
uint8_t | addressedTo
uint8_t | receivedFrom
uint8_t | ackedMsgSeqNo
uint8_t | msgSeqNo

## Static Protected Attributes
static const size_t | BUFFER_SIZE = 255

## Detailed Description

pfodRadioMsg for Arduino Holds a radio msg

Definition at line 22 of file pfodRadioMsg.h.

## Constructor & Destructor Documentation

## ◆ pfodRadioMsg()

pfodRadioMsg::pfodRadioMsg | ( |  | ) |

## Member Function Documentation

## ◆ getAckedMsgSeqNo()

uint8_t pfodRadioMsg::getAckedMsgSeqNo | ( |  | ) |

## ◆ getAddressedTo()

uint8_t pfodRadioMsg::getAddressedTo | ( |  | ) |

## ◆ getBuf()

uint8_t* pfodRadioMsg::getBuf | ( |  | ) |

## ◆ getLen()

uint8_t pfodRadioMsg::getLen | ( |  | ) |

## ◆ getMaxMsgBufferSize()

size_t pfodRadioMsg::getMaxMsgBufferSize | ( |  | ) |

## ◆ getMsgSeqNo()

uint8_t pfodRadioMsg::getMsgSeqNo | ( |  | ) |

## ◆ getReceivedFrom()

uint8_t pfodRadioMsg::getReceivedFrom | ( |  | ) |

## ◆ init()

void pfodRadioMsg::init | ( | size_t | _maxMsgLen | ) |

## ◆ isAckFor()

bool pfodRadioMsg::isAckFor | ( | pfodRadioMsg * | lastRadioMsg | ) |

## ◆ isNewConnectionRequest()

bool pfodRadioMsg::isNewConnectionRequest | ( | uint8_t | ourAddress | ) |

## ◆ isNewMsg()

bool pfodRadioMsg::isNewMsg | ( | uint8_t | _thisAddress,
|  | uint8_t | _targetAddress,
|  | uint8_t | _expectedMsgSeqNo,
|  | bool | isServer
| ) |  |

## ◆ isPureAck()

bool pfodRadioMsg::isPureAck | ( |  | ) |

## ◆ isPureAckFor()

bool pfodRadioMsg::isPureAckFor | ( | uint8_t | msgSeqNoWaitingForAck | ) |
| protected

## ◆ isResendRequest()

bool pfodRadioMsg::isResendRequest | ( | pfodRadioMsg * | lastRadioMsg | ) |

## ◆ saveMsg() [1/2]

size_t pfodRadioMsg::saveMsg | ( | Stream * | _txBufPtr,
|  | uint8_t | _addressedTo,
|  | uint8_t | _receievedFrom,
|  | uint8_t | _msgSeqNo,
|  | uint8_t | _ackedMsgSeqNo
| ) |  |

## ◆ saveMsg() [2/2]

size_t pfodRadioMsg::saveMsg | ( | uint8_t * | _buf,
|  | uint8_t | _len,
|  | uint8_t | _addressedTo,
|  | uint8_t | _receievedFrom,
|  | uint8_t | _msgSeqNo,
|  | uint8_t | _ackedMsgSeqNo
| ) |  |

## ◆ setAckedMsgSeqNo()

void pfodRadioMsg::setAckedMsgSeqNo | ( | uint8_t | _ackedMsgSeqNo | ) |

## Member Data Documentation

## ◆ ackedMsgSeqNo

uint8_t pfodRadioMsg::ackedMsgSeqNo
| protected

Definition at line 50 of file pfodRadioMsg.h.

## ◆ addressedTo

uint8_t pfodRadioMsg::addressedTo
| protected

Definition at line 48 of file pfodRadioMsg.h.

## ◆ BUFFER_SIZE

const size_t pfodRadioMsg::BUFFER_SIZE = 255
| static protected

Definition at line 44 of file pfodRadioMsg.h.

## ◆ maxMsgLen

size_t pfodRadioMsg::maxMsgLen
| protected

Definition at line 45 of file pfodRadioMsg.h.

## ◆ msgBuf

uint8_t pfodRadioMsg::msgBuf[BUFFER_SIZE]
| protected

Definition at line 47 of file pfodRadioMsg.h.

## ◆ msgLen

size_t pfodRadioMsg::msgLen
| protected

Definition at line 46 of file pfodRadioMsg.h.

## ◆ msgSeqNo

uint8_t pfodRadioMsg::msgSeqNo
| protected

Definition at line 51 of file pfodRadioMsg.h.

## ◆ receivedFrom

uint8_t pfodRadioMsg::receivedFrom
| protected

Definition at line 49 of file pfodRadioMsg.h.